The Open Group Base Specifications Issue 7
IEEE Std 1003.1-2008, 2016 Edition
Copyright © 2001-2016 The IEEE and The Open Group

#### NAME

> wmemcpy - copy wide characters in memory

#### SYNOPSIS

> ``#include <wchar.h>
> wchar_t *wmemcpy(wchar_t *restrict` ws1`, const wchar_t *restrict` ws2`,
> size_t` n`);
> ``

#### DESCRIPTION

> [CX] The functionality described on this reference page is aligned with the ISO C standard. Any conflict between the requirements described here and the ISO C standard is unintentional. This volume of POSIX.1-2008 defers to the ISO C standard.

> The wmemcpy() function shall copy n wide characters from the object pointed to by ws2 to the object pointed to by ws1. This function shall not be affected by locale and all wchar_t values shall be treated identically. The null wide character and wchar_t values not corresponding to valid characters shall not be treated specially.

> If n is zero, the application shall ensure that ws1 and ws2 are valid pointers, and the function shall copy zero wide characters.

#### RETURN VALUE

> The wmemcpy() function shall return the value of ws1.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> wmemchr, wmemcmp, wmemmove, wmemset

> XBD <wchar.h>

#### CHANGE HISTORY

> First released in Issue 5. Included for alignment with ISO/IEC 9899:1990/Amendment 1:1995 (E).

#### Issue 6

> The normative text is updated to avoid use of the term "must" for application requirements.

> The wmemcpy() prototype is updated for alignment with the ISO/IEC 9899:1999 standard.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2016 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]